Loading...
Searching...
No Matches
pappso::NamespaceClassnameAsKeyHash Struct Reference

`#include <jsclassregistrar.h>`

## Public Member Functions

std::size_t | operator() (const NamespaceClassnamePairAsKey &key) const noexcept

## Detailed Description

Definition at line 53 of file jsclassregistrar.h.

## Member Function Documentation

## operator()()

std::size_t pappso::NamespaceClassnameAsKeyHash::operator() | ( | const NamespaceClassnamePairAsKey & | key | ) | const

inline noexcept

Definition at line 56 of file jsclassregistrar.h.

{
// Combine the hashes of the two QStrings
return qHash(key.first) ^ (qHash(key.second) << 1);
}

The documentation for this struct was generated from the following file:

- pappsomspp/core/js_qml/jsclassregistrar.h